#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 glirc
version:              2.39.0.1
visibility:           public
id:                   glirc-2.39.0.1-CNDxfoFjLKJ4DxJspXDUc4
key:                  glirc-2.39.0.1-CNDxfoFjLKJ4DxJspXDUc4
license:              ISC
copyright:            2016-2019 Eric Mertens
maintainer:           emertens@gmail.com
author:               Eric Mertens
homepage:             https://github.com/glguy/irc-core
synopsis:             Console IRC client
description:
    Console IRC client

    glirc is a console IRC client with an emphasis on providing
    dynamic views into the model of your IRC connections.

    <https://github.com/glguy/irc-core/wiki Documentation Wiki>

category:             Network
abi:                  5b932090233eb9a87b8c4375ed5e73dc
exposed:              True
exposed-modules:
    Client.Authentication.Ecdh Client.Authentication.Ecdsa
    Client.Authentication.Scram Client.CApi Client.CApi.Exports
    Client.CApi.Types Client.Commands Client.Commands.Arguments.Parser
    Client.Commands.Arguments.Renderer Client.Commands.Arguments.Spec
    Client.Commands.Certificate Client.Commands.Channel
    Client.Commands.Chat Client.Commands.Connection
    Client.Commands.Exec Client.Commands.Interpolation
    Client.Commands.Operator Client.Commands.Queries
    Client.Commands.Recognizer Client.Commands.TabCompletion
    Client.Commands.Toggles Client.Commands.Types
    Client.Commands.Window Client.Commands.WordCompletion
    Client.Commands.ZNC Client.Configuration
    Client.Configuration.Colors Client.Configuration.Macros
    Client.Configuration.ServerSettings Client.Configuration.Sts
    Client.EventLoop Client.EventLoop.Actions Client.EventLoop.Errors
    Client.EventLoop.Network Client.Hook Client.Hook.DroneBLRelay
    Client.Hook.Matterbridge Client.Hook.Snotice
    Client.Hook.Znc.Buffextras Client.Hooks Client.Image
    Client.Image.Layout Client.Image.LineWrap Client.Image.Message
    Client.Image.MircFormatting Client.Image.PackedImage
    Client.Image.Palette Client.Image.StatusLine Client.Image.Textbox
    Client.Log Client.Mask Client.Message Client.Network.Async
    Client.Network.Connect Client.Options Client.State
    Client.State.Channel Client.State.EditBox
    Client.State.EditBox.Content Client.State.Extensions
    Client.State.Focus Client.State.Network Client.State.Window
    Client.UserHost Client.View Client.View.Cert
    Client.View.ChannelInfo Client.View.Digraphs Client.View.Help
    Client.View.IgnoreList Client.View.KeyMap Client.View.MaskList
    Client.View.Mentions Client.View.Messages Client.View.Palette
    Client.View.RtsStats Client.View.UrlSelection Client.View.UserList
    Client.View.Windows

hidden-modules:
    ContextFilter DigraphQuote Digraphs LensUtils RtsStats StrQuote
    StrictUnit Paths_glirc Build_glirc

import-dirs:          /usr/lib/ghc-9.2.8/site-local/glirc-2.39.0.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/glirc-2.39.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/glirc
hs-libraries:         HSglirc-2.39.0.1-CNDxfoFjLKJ4DxJspXDUc4
include-dirs:         /usr/lib/ghc-9.2.8/site-local/glirc-2.39.0.1/include
includes:             include/glirc-api.h
depends:
    HsOpenSSL-0.11.7.6-3GwIwRsXaos3wi79fp971N
    async-2.2.5-GhBzXJSWYyS3QxuWn9vF7I
    attoparsec-0.14.4-CxdihoEA1MA35vfkJWqytP base-4.16.4.0
    base64-bytestring-1.2.1.0-KehW0t3hOoS4G7xGmTcSMC
    bytestring-0.11.4.0 config-schema-1.3.0.0-FLmrtWSMGZpC2QGZBNJD4q
    config-value-0.8.3-8yCRuGm4wH18pEPQuVa8HA containers-0.6.5.1
    curve25519-0.2.8-3ewXHzTA8CmCKZcUrkjyfd directory-1.3.6.2
    filepath-1.4.2.2 free-5.1.10-FtgD5xcBIWC4PTv4fCWga9
    githash-0.1.6.3-Fo3K5H5zDLt1XgjF7SyTnl
    hashable-1.4.3.0-3dqA7o3S1KBIuEdO2YDkYf
    hookup-0.8-34XZCsciWTfECpUnJZkOI0
    irc-core-2.11-3DAshNympDb6Zj35gHuBaz
    kan-extensions-5.2.5-4LQgLLt9nJTBEl3aMxFkiN
    lens-5.2.3-DsU5WJ3RaWRHiptdGSZV2k
    network-3.1.4.0-42vrGNOyyN5EQENmFarxRS process-1.6.16.0
    psqueues-0.2.8.0-HQJqzVbeNo3LAnmpUCEnFF
    random-1.2.1.2-I9vy4QvkbAYGYkQawOWCQJ
    regex-tdfa-1.3.2.2-K44QZvim3nPEg8vq7Yhc41
    split-0.2.5-4nalIMiBmQhB7dn9GiXUZZ stm-2.5.0.2
    template-haskell-2.18.0.0 text-1.2.5.0 time-1.11.1.1
    transformers-0.5.6.2 unix-2.7.2.2
    unordered-containers-0.2.20-2sfG1n18ekp4kj5cDOH71Y
    vector-0.13.1.0-BOAscM7GxpQxkvUjpqER4
    vty-5.38-EUBK0Kgw1hc4nbKQI73MQ9

haddock-interfaces:   /usr/share/doc/glirc/html/glirc.haddock
haddock-html:         /usr/share/doc/glirc/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

